Imports BaseDeDatos

Public Class DlgAñadir
  Public Sub New(nuevo As Alumno)
    InitializeComponent()
    LlenarListasAsigs()
    gridAlumno.DataContext = nuevo
  End Sub

  Private Sub LlenarListasAsigs()
    ' Obligatorias
    lsListaObs.Items.Add("11 Asignatura ob11")
    lsListaObs.Items.Add("12 Asignatura ob12")
    lsListaObs.Items.Add("13 Asignatura ob13")
    lsListaObs.Items.Add("14 Asignatura ob14")
    ' Optativas
    lsListaOps.Items.Add("61 Asignatura op61")
    lsListaOps.Items.Add("62 Asignatura op62")
  End Sub

  Private Sub btAceptar_Click(sender As Object, e As RoutedEventArgs)
    If Validation.GetHasError(ctIdAlumno) OrElse
      Validation.GetHasError(ctNomAlumno) OrElse
      Validation.GetHasError(ctDirAlumno) OrElse
      Validation.GetHasError(ctEstAlumno) OrElse
      lsListaObs.SelectedItems.Count = 0 Then
      MessageBox.Show("Error: valor no valido o no selección asigs. obs.")
      Return
    Else
      DialogResult = True
    End If
  End Sub
End Class
